lang en_US.UTF-8
keyboard us
timezone US/Eastern
auth --useshadow --enablemd5
selinux --permissive
firewall --disabled
part / --size 2048
services --disabled=acpid,atd,crond,irqbalance,lvm2-monitor,netfs,nfs,nfslock,pcscd,rpcbind,rpcidmapd,sshd,sendmail

%packages
@core
@base
anaconda
less
pyparted
pykickstart
system-config-firewall-base
-PackageKit*
-bc
-createrepo
-cron*
-deltarpm
-fprintd*
-hdparm
-hunspell*
-logrotate
-man-db
-man-pages
-mtr
-numactl
-pcmciautils
-pinfo
-pm-utils
-python-deltarpm
-report-*-bugzilla*
-telnet
-traceroute
-udisks
-*xfce*
-xfconf
-xfwm4
-yp-tools
-ypbind
-yum-presto
%end

%post
# Create an init script that will kick off storage testing at the end of init.
cat > /etc/init.d/storage-test <<EOF
#!/bin/bash
# chkconfig: 3 99 01
# description: automatically run anaconda storage tests

. /etc/init.d/functions

mkdir /mnt/anactest
# FIXME:  move this back to mount -L ANACTEST should that ever work again
mount /dev/sr1 /mnt/anactest -o ro

if [ ! -f /mnt/anactest/driver.py ]; then
    echo -n "No storage tests present; exiting."
    echo_failure
    reboot
fi

echo "==== Running test case ===="
LIVECMD=/mnt/anactest/driver.py /usr/sbin/liveinst

# All test cases are done, shutdown the VM.
umount -a
poweroff -f
EOF

chmod 755 /etc/rc.d/init.d/storage-test
/sbin/restorecon /etc/rc.d/init.d/storage-test
/sbin/chkconfig --add storage-test

# Turn off firstboot for livecd boots.
/sbin/chkconfig firstboot off

# This file will run the netfs service, which in turn starts monitoring LVM
# volumes.  That could make existing volumes unnaturally busy and introduce
# errors to the storage testing that would otherwise not exist.
rm -f /etc/NetworkManager/dispatcher.d/05-netfs
%end
